Results 1 to 6 of 6
  1. #1
    Community Member
    Join Date
    Jul 2011
    Posts
    19

    Default plans for mac osx 10.6?

    I'm really glad that Turbine is releasing a MAC OSX version, but any chance they may support Mac OSX 10.6 too?

  2. #2
    Hero
    Join Date
    Nov 2009
    Location
    not suffering fools gladly
    Posts
    3,577

    Default

    Don't hold your breath for legacy OS support. They aren't supporting DirectX 10 or 11 out of the gate.
    U19 Kensei: Centered Cleaver | TR Junkie Leveling Framework

    ~Ying~ (10 lives), ~Hamada~(9 lives), ~Vadanken~ (6 lives), ~Kobeyashi~ (10 lives)
    Over Raided of Orien, First Level 100 Guild

  3. #3
    Community Member
    Join Date
    Jan 2010
    Posts
    1,316

    Default

    Quote Originally Posted by Carpone View Post
    Don't hold your breath for legacy OS support. They aren't supporting DirectX 10 or 11 out of the gate.
    I am pretty sure they are using OpenGL on the Mac, not DirectX. I would bet dollars to donuts the physics engine revamp was to introduce a cross-platform rendering system to the game.

    I think the client did work on 10.6 at one time. There is some evidence of that. But neither the launcher nor the client will run on 10.6 now. Whether they fix it or not depends on whether it makes business sense given the amount of work involved.

  4. #4
    Community Member
    Join Date
    Aug 2012
    Posts
    386

    Default

    I'd be pretty surprised. Two major revisions back is a longish time.
    Yes, that seebs.
    Not having fun anymore? Learn to play, noob!

  5. #5
    Community Member
    Join Date
    Jul 2011
    Posts
    19

    Default

    It's the first time I get the mac osx version error when I try to open a game client and I ignore the amount of work involved on making DDO working there. I don't know if it's blocked on purpose temporarily or if it's due to an ultimate compatibility problem.

  6. #6
    Community Member
    Join Date
    Aug 2012
    Posts
    386

    Default

    Quote Originally Posted by Mastery404 View Post
    It's the first time I get the mac osx version error when I try to open a game client and I ignore the amount of work involved on making DDO working there. I don't know if it's blocked on purpose temporarily or if it's due to an ultimate compatibility problem.
    Obviously, I can't say for sure, but my guess would be "some tool they're using requires some feature that was added more recently than that".
    Yes, that seebs.
    Not having fun anymore? Learn to play, noob!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

This form's session has expired. You need to reload the page.

Reload